Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec.util
Class SingleTileRenderedImage

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage
          org.apache.batik.ext.awt.image.codec.util.SingleTileRenderedImage

All Implemented Interfaces:
  RenderedImage

    public class SingleTileRenderedImage

extends SimpleRenderedImage

A simple class that provides RenderedImage functionality given a Raster and a ColorModel.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage
`colorModel, height, minX, minY, properties, sampleModel, sources, tileGridXOffset, tileGridYOffset, tileHeight, tileWidth, width`

Constructor Summary
`SingleTileRenderedImage(Raster ras, ColorModel colorModel)` Constructs a SingleTileRenderedImage based on a Raster and a ColorModel.

Method Summary
`Raster` | `getTile(int tileX, int tileY)` Returns the image's Raster as tile (0, 0).

Methods inherited from class org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage
`copyData, getBounds, getColorModel, getData, getData, getHeight, getMaxTileX, getMaxTileY, getMaxX, getMaxY, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, tileXToX, tileXToX, tileYToY, tileYToY, XToTileX, XToTileX, YToTileY, YToTileY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleTileRenderedImage

    public SingleTileRenderedImage(Raster ras,
                                   ColorModel colorModel)

  Constructs a SingleTileRenderedImage based on a Raster and a ColorModel.

  Parameters:
    `ras` - A Raster that will define tile (0, 0) of the image.
    `colorModel` - A ColorModel that will serve as the image's ColorModel.

Method Detail

### getTile

    public Raster getTile(int tileX,
                          int tileY)

  Returns the image's Raster as tile (0, 0).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.